package dev.adriankuta.pixabay.feature.details

import dev.adriankuta.pixabay.data.model.PixabayImage

sealed interface PhotoDetailUiState {
    data class Success(val data: PixabayImage) : PhotoDetailUiState
    data object Loading : PhotoDetailUiState
    data object Error : PhotoDetailUiState
}
